Главная  /  Заметки   /  Ошибка WordPress — обновление не требуется

Ошибка WordPress — обновление не требуется

После обновления WordPress в admin сделать ничего не даёт, на все действия выдает одно «Обновление не требуется Ваша база данных WordPress уже обновлена!» или «no update required your wordpress database is already up-to-date».
Русский поиск ответа не дал, так что решил добавить свою заметку.

Решение:

  • Через хостинг или FTP добираемся до файла /wp-content/object-cache.php и переименовываем его например в object-cache.temp
  • Проверьте, теперь у вас должен был появиться доступ в admin — сработало? Отлично! Значит у вас проблема с кешем, для этого редактируем файл object-cache.temp и меняем в нём define( ‘WP_CACHE_KEY_SALT’, » ); допустим на define( ‘WP_CACHE_KEY_SALT’, ‘webarmen.com‘ );
  • Переименовываем обратно object-cache.temp в object-cache.php
  • Заходим в admin и проверяем. Проблема заключается в кеше, я использую memcached и после обновления остались старые данные в нём. Как еще один вариант: можно просто очистить весь кеш memcached, в моем же решении мы просто задаем новый ключ.

Занимаюсь сайтами с 2005 года, начинал еще с narod.ru и ucoz :-)

1 Комментарий
  • Виктор
    13.11.2019

    Ваш способ не сработал, однако сработал иной, просто удалить файл «object-cache.php» и откроется доступ в админку, а потом перезапустить плагин с кешированием.

    Reply
Оставить комментарий